> ## Documentation Index
> Fetch the complete documentation index at: https://www.ayrshare.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Facebook Pages

> Search for Facebook Pages with a search query, often used for typeahead mention completion. Returns the id, link, name, and public location of each Page.

Search for Facebook Pages based on a search query.
Often used for typeahead mention completion.

The response is an array of objects with the id, link, name, and location of the Page.
The `location` field will only be returned for Pages with public locations.

## Header Parameters

**Authorization** `string` *required*

[API Key](https://www.ayrshare.com/docs/apis/overview.md#authorization) of the Primary Profile.

Format: `Authorization: Bearer API_KEY`
**Profile-Key** `string`

[Profile Key](https://www.ayrshare.com/docs/apis/overview.md#profile-key-format) of a User Profile.

Format: `Profile-Key: PROFILE_KEY`

## Query Parameters

**search** `string` *required*

Search query to find Facebook pages by name.

```bash cURL theme={"system"}
curl \
-H "Authorization: Bearer API_KEY" \
-X GET https://api.ayrshare.com/api/brand/search/facebook?search=facebook
```

```javascript JavaScript theme={"system"}
const API_KEY = "API_KEY";

fetch("https://api.ayrshare.com/api/brand/search/facebook?search=facebook", {
      method: "GET",
      headers: {
        "Authorization": `Bearer ${API_KEY}`
      }
    })
      .then((res) => res.json())
      .then((json) => console.log(json))
      .catch(console.error);
```

```python Python theme={"system"}
import requests

headers = {'Authorization': 'Bearer API_KEY'}

r = requests.get('https://api.ayrshare.com/api/brand/search/facebook?search=facebook', headers=headers)

print(r.json())
```

```json 200: Success    theme={"system"}
{
  "facebook": [
    {
      "id": "7640348500",
      "isUnclaimed": false,
      "link": "https://www.facebook.com/7640348500",
      "location": {
        "city": "New York",
        "country": "United States",
        "latitude": 40.782910059774,
        "longitude": -73.959075808525,
        "state": "NY",
        "street": "1071 5th Ave",
        "zip": "10128"
      },
      "name": "Solomon R. Guggenheim Museum",
      "verificationStatus": "blue_verified"
    }
  ]
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.